Name: ovirt-engine-phantomjs
Version: 2.1.1
Release: 1%{?dist}
Summary: PhantomJS for oVirt JavaScript applications
Group: Virtualization/Management
URL: http://phantomjs.org
License: BSD

#
# The source of the project contains several git submodules, so the only
# reliable way to get it is to clone the repository, and update those
# modules:
#
# version="2.1.1"
#
# source_dir="phantomjs-${version}"
# rm -rf "${source_dir}"
# git clone \
#   --branch="${version}" \
#   --depth=1 \
#   git://github.com/ariya/phantomjs.git \
#   "${source_dir}"
# pushd "${source_dir}"
#   git checkout ${version}
#   git submodule init \
#     src/qt/qtbase \
#     src/qt/qtwebkit
#   git submodule update \
#     src/qt/qtbase \
#     src/qt/qtwebkit
# popd
#
# source_file="phantomjs-${version}.tar.xz"
# tar \
#   --create \
#   --xz \
#   --file="${source_file}" \
#   --exclude='.git' \
#   --verbose \
#   "${source_dir}"
#
Source: phantomjs-%{version}.tar.xz

BuildRequires: bison
BuildRequires: flex
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: gperf
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: ruby
BuildRequires: rubygems
BuildRequires: sqlite-devel

%description
PhantomJS for oVirt JavaScript applications.

%prep

# Extract the source:
%setup -q -n phantomjs-%{version}

# If these directories don't exist, then the build process will think
# that it needs to initialize and update git submodules, which won't
# work without a network connection:
mkdir src/qt/qtbase/.git
mkdir src/qt/qtwebkit/.git

# on fc24+, ruby is implemented via ruby-pick. Don't bother, just symlink
# to ruby-mri
which ruby || \
    ln -s $(which ruby-mri) /usr/bin/ruby

%build
python build.py --confirm

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/bin
mv bin %{buildroot}%{_datadir}/%{name}/.

%files
%doc ChangeLog
%doc README.md
%doc examples
%doc third-party.txt
%license LICENSE.BSD
%{_datadir}/%{name}/

%changelog
* Wed Feb 22 2017 Juan Hernandez <juan.hernandez@redhat.com> - 2.1.1-1
- Initial packaging.
